//  main: main.less, out: ../style.css

/* ====================================================================================================================================
GLOBAL STYLES
======================================================================================================================================*/

//NAVBAR 
body {
    position: relative;
    &:after {
        position: fixed;
        content: '';
        display: block;
        top: 0;
        left: 0;
        right: 0;
        height: 160px;
        z-index: @zindexBottom;
        .u-linear-gradient(0deg, fade(@color__light, 0%), @color__light);
    }
    @media @media_tablet,@media_smartphone {
        &:after {
            display: none;
        }
    }
}

// HEADER
.c-header {
    position: fixed;
    top: @margin__m;
    bottom: @margin__m;
    left: @margin__m;
    width: 40px;
    background-color: transparent;
    .u-flex-display;
    .u-flex-direction(column);
    z-index: @zindexTop;
}

.site-branding {
    h1 {
        font-size: @size__m;
        text-transform: uppercase;
    }

    img {
        .transition-std;
        .u-transform(rotate(0deg));

        &:hover {
            .u-transform(rotate(45deg));
        }
    }
}

.custom-logo {
    max-width: initial;
}

// NAV MENU
.main-navigation {
    .u-flex-grow(1);
    .u-flex-display;
    .u-flex-direction(column);
    .u-justify-content(center);
    padding-bottom: @margin__m;

    a {
        position: relative;
        font-family: @font_base;
        font-size: @size__xs;
        color: @color__primary;
        text-decoration: none;
        font-weight: bold;
        white-space: nowrap;
        text-transform: uppercase;
        writing-mode: vertical-lr;
        .u-noselect;
        .transition-std;

        &:after {
            position: absolute;
            content: '';
            display: block;
            bottom: 0;
            top: 0;
            left: 0;
            width: 2px;
            height: 100%;
            background-color: @color__primary;
            .transition-std;
        }

        &:focus {
            outline: none;
        }

    }

    .menu,
    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

    .menu-item {
        margin: 8px 0;

        &.current_page_item {
            &>a {
                color: @color__text;

                &:after {
                    .u-transform(scaleY(0));
                }

                &:hover {
                    color: @color__primary;

                    &:after {
                        .u-transform(scaleY(1));
                    }
                }
            }
        }
    }
}

@media @media_desktop,
@media_full,
@media_landascape {
    .main-navigation a {
        &:hover {
            color: @color__text;
            
            &:after {
                .u-transform(scaleY(.1));
            }
        }
    }
    
    .home .main-navigation {
        .animation__menu(1.2s, 4s);
        .u-transform(translateX(-300px));
    }
}

// LANGUAGE
#language-menu {
    position: fixed;
    top: @margin__m;
    right: @margin__m;
    z-index: @zindexTop;
    list-style-type: none;
    margin: 0;
    padding: 0;
    .u-flex-display;

    li {
        a {
            width: 30px;
            position: relative;
            text-indent: 200px;
            overflow: hidden;
            display: inline-block;
            font-size: @size__xs;
            font-weight: @font_w__b;
            color: @color__text;
            text-align: center;
            .transition-std;

            &:after {
                position: absolute;
                display: block;
                left: 0;
                top: 0;
                right: 0;
                bottom: 0;
                text-indent: 0;
                text-decoration: underline;

            }

            &[lang="it-IT"] {
                &:after {
                    content: 'IT';
                }
            }

            &[lang="en-US"] {
                &:after {
                    content: 'EN';
                }
            }

            &[lang="de-DE"] {
                &:after {
                    content: 'DE';
                }
            }

            &[lang="sl-SI"] {
                &:after {
                    content: 'SL';
                }
            }

            &:hover {
                color: @color__primary;
            }
        }

        &.current-lang a {
            color: @color__primary;

            &:after {
                text-decoration: none;
            }
        }
    }
}

// NAV MOBILE
.c-nav__mobile {
    display: none;
}

@media @media_tablet,
@media_smartphone {
    .c-header {
        width: initial;
        top: 0;
        left: 0;
        right: 0;
        height: @header__h_phone;
        padding: @margin__m @margin__m @margin__m 0;
        background-color: @color__light;
    }

    .site-branding {
        position: absolute;
        left: 50%;
        margin-top: -10px;
        .u-transform(translateX(-50%));
    }

    .c-nav__mobile {
        position: absolute;
        display: block;
        top: @margin__m;
        left: @margin__m;
        height: 23px;
        width: 30px;
        cursor: pointer;
        margin-bottom: 15px;

        .line {
            position: absolute;
            left: 0;
            height: 2px;
            width: 100%;
            background-color: @color__text;
            .transition-elastic;

        }

        .line--1 {
            top: 0;
            left: 5px;
            .u-transform(scale(1));
        }

        .line--2,
        .line--3 {
            top: 50%;
            .u-transform(rotate(0deg));
        }

        .line--4 {
            bottom: -2px;
            left: 5px;
            .u-transform(scale(1));
        }
    }

    .main-navigation {
        position: fixed;
        padding: 0 0 0 @margin__m;
        overflow: scroll;
        top: @header__h_phone;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        z-index: -1;
        background-color: @color__light;
        opacity: 0;
        visibility: hidden;
        .u-transform(scale(.95));
        .transition-std;

        a {
            font-size: @size__l;
            font-weight: @font_w__b;
            writing-mode: initial;
            margin-bottom: @margin__s;
            display: inline-block;

            &:after {
                bottom: 0px;
                top: initial;
                left: 0;
                right: 0;
                width: 100%;
                height: 3px;
            }
        }

        .menu {
            .u-flex-direction(column);

            &>.menu-item {

                &>.sub-menu {
                    padding-left: 10px;
                    position: static;
                    top: @navItem__h;
                    visibility: visible;
                    opacity: 1;
                    right: initial;
                    background-color: transparent;
                    display: none;

                    &.isOpen {
                        display: block;
                    }

                    .sub-menu .menu-item {
                        padding-left: 30px;
                    }

                    &>.menu-item>a {
                        position: relative;
                        padding-left: 15px;

                        &:after {
                            position: absolute;
                            content: '';
                            display: block;
                            left: 0;
                            top: 50%;
                            height: 2px;
                            width: 8px;
                            background-color: @color__white;
                            .u-transform(rotate(-45deg));

                        }
                    }
                }
            }
        }
    }

    body.openMenu {
        .c-nav__mobile {
            .line--1 {
                top: 0;
                .u-transform(scale(0));
            }

            .line--2 {
                top: 50%;
                .u-transform(rotate(-45deg));
            }

            .line--3 {
                top: 50%;
                .u-transform(rotate(45deg));
            }

            .line--4 {
                bottom: 0;
                .u-transform(scale(0));
            }
        }

        .main-navigation {
            opacity: 1;
            visibility: visible;;
            .u-transform(scale(1));
        }
    }
}

@media @media_smartphone {
    .c-header {
        padding: 0 @margin__s;
    }

    .site-branding {
        position: absolute;
        left: 50%;
        top: 50%;
        margin-top: 0;
        .u-transform(translate(-50%, -50%));
    }

    .c-nav__mobile {
        left: @margin__s;
        top: 50%;
        .u-transform(translateY(-50%));
    }

    .main-navigation {
        padding: @margin__s;
        a {
            font-weight: @font_w__k;
            font-size: @size__m;
        }
    }

    #language-menu {
        right: 15px;
        top: 35px;
    
        li {
            a {
                width: 30px;
                font-size: @size__s;
            }
        }
    }
}

// COOKIE BAR
#cookie-notice {
    position: fixed;
    width: 340px;
    min-width: initial;
    bottom: 20px;
    left: 20px;
    right: initial;
    .u-shadow(0 0 40px 0 rgba(0, 0, 0, 0.2));
    .u-border-radius(8px);
    .animation__cookie;
    .transition-elastic--long;

    #cn-notice-text {
        margin-bottom: 20px;
        padding-right: @margin__s;
        text-align: left;
        font-size: @size__r;
    }

    .cookie-notice-container {
        .u-flex-display;
        .u-align-items(flex-end);
        .u-justify-content(space-between);
        .u-flex-wrap(wrap);
        width: 100%;
        padding: @margin__s;
    }

    .cn-buttons-container {
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-between);
        width: 100%;
    }
    .cn-close-icon {
        top: 30px;
        .transition-elastic;
        .u-transform(rotate(0deg));
        &:hover {
            .u-transform(rotate(90deg));
        }
    }
    .o-button {
        margin: 0;
        width: 45%;
        height: initial;
        line-height: initial;
        min-width: initial;
        text-align: left;
        text-decoration: underline;

        &:after {
            display: none;
        }
    }



    @media @media_smartphone {
        width: 90%;
        right: 5%;
        left: 5%;

        #cn-notice-text {
            margin-bottom: 10px;
            font-size: @size__s;
        }
        .cookie-notice-container {
            padding: @margin__s/2;
        }
    }
}

// RECAPTCHA v3
.grecaptcha-badge {
    opacity: 0;
}

// 404
.error-404, .not-found {
    .page-content {
        padding-top: 100px;
        min-height: 100vh;
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(center);
        .u-flex-direction(column);
        .img-error {
            width: 300px;
        }
    }
}